## fenics 2019.2.0.4

=== debian/control ===
Source: fenics
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: http://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics

Package: fenics
Architecture: any
Multi-Arch: same
Depends: libdolfin-dev (>= ${fenics:Upstream-Version}),
 python3-dolfin (>= ${fenics:Upstream-Version}),
 python3-dolfin-real (>= ${fenics:Upstream-Version}),
 dolfin-doc (>= ${fenics:Upstream-Version}),
 dolfin-bin (>= ${fenics:Upstream-Version}),
 python3-ffc (>= ${fenics:Upstream-Version}),
 python3-fiat (>= ${fenics:Upstream-Version}),
 python3-ufl (>= ${fenics:Upstream-Version}),
 python-ufl-doc (>= ${fenics:Upstream-Version}),
 python3-dijitso (>= ${fenics:Upstream-Version}),
 python3-mshr (>= ${fenics:Upstream-Version}) [!armel !mips !mipsel !alpha !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4 !sparc64 !x32],
 ${misc:Depends}
Suggests: python3-mshr (>= ${fenics:Upstream-Version}) [armel mips mipsel alpha hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k sh4 sparc64 x32]
Description: Automated Solution of Differential Equations
 FEniCS is a collection of free software for automated, efficient
 solution of differential equations.
 .
 FEniCS has an extensive list of features, including automated
 solution of variational problems, automated error control and
 adaptivity, a comprehensive library of finite elements, high
 performance linear algebra and many more.
 .
 FEniCS is organized as a collection of interoperable components,
 including the problem-solving environment DOLFIN, the form compiler
 FFC, the finite element tabulator FIAT, the just-in-time compiler
 Instant, the code generation interface UFC, the form language UFL and
 a range of additional components.
 .
 This is a metapackage which depends on all FEniCS components.
 .
 This is the legacy version of FEniCS. You may want to consider
 installing the next-generation FEniCS-X (fenicx package).

Package: fenicsx
Architecture: all
Depends: libdolfinx-dev (>= ${fenics:Upstream-Version}),
 libdolfinx-real-dev (>= ${fenics:Upstream-Version}),
 python3-dolfinx (>= ${fenics:Upstream-Version}),
 python3-dolfinx-real (>= ${fenics:Upstream-Version}),
 dolfinx-doc (>= ${fenics:Upstream-Version}),
 python3-ffcx (>= ${fenics:Upstream-Version}),
 python3-fiat (>= ${fenics:Upstream-Version}),
 python3-ufl (>= ${fenics:Upstream-Version}),
 python-ufl-doc (>= ${fenics:Upstream-Version}),
 ${misc:Depends}
Description: Automated Solution of Differential Equations
 FEniCS is a collection of free software for automated, efficient
 solution of differential equations.
 .
 FEniCS has an extensive list of features, including automated
 solution of variational problems, automated error control and
 adaptivity, a comprehensive library of finite elements, high
 performance linear algebra and many more.
 .
 FEniCS is organized as a collection of interoperable components,
 including the problem-solving environment DOLFIN, the form compiler
 FFC, the finite element tabulator FIAT, the just-in-time compiler
 Instant, the code generation interface UFC, the form language UFL and
 a range of additional components.
 .
 This is a metapackage which depends on all FEniCS-X components.
 .
 FEniCS-X is the next-generation implementation of FEniCS
 (with DOLFIN-X, FFC-X)

## fenics 2019.2.0.5

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Multi-Arch: same
 Depends: libdolfin-dev (>= ${fenics:Upstream-Version}),
  python3-dolfin (>= ${fenics:Upstream-Version}),
- python3-dolfin-real (>= ${fenics:Upstream-Version}),
  dolfin-doc (>= ${fenics:Upstream-Version}),
  dolfin-bin (>= ${fenics:Upstream-Version}),
  python3-ffc (>= ${fenics:Upstream-Version}),
@@ -48,9 +47,7 @@
 Package: fenicsx
 Architecture: all
 Depends: libdolfinx-dev (>= ${fenics:Upstream-Version}),
- libdolfinx-real-dev (>= ${fenics:Upstream-Version}),
  python3-dolfinx (>= ${fenics:Upstream-Version}),
- python3-dolfinx-real (>= ${fenics:Upstream-Version}),
  dolfinx-doc (>= ${fenics:Upstream-Version}),
  python3-ffcx (>= ${fenics:Upstream-Version}),
  python3-fiat (>= ${fenics:Upstream-Version}),

=== debian/tests/control ===
Tests: test-fenics, test-fenicsx
Depends: @, @builddeps@,

## fenics plotly-0.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = fenics_plotly
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
